import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.*;
/**
 * Write a description of class Bombimage here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Bombimage extends Itemsshow
{
    public static int locationx = -100;
    public static int locationy = -100;
    
    public Bombimage()
    {
        GreenfootImage img = new GreenfootImage("/Skins/Waffe/bomb.png");
        img.scale(60,60);
        setImage(img);
    }
    
    /**
     * Act - do whatever the Bombimage wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        // Add your action code here.
        setLocation(locationx, locationy);
        GreenfootImage img = new GreenfootImage("/Skins/Waffe/bomb.png");
        img.scale(60,60);
        Integer tmpint = new Integer(Bomb.amount);
        String tmp = tmpint.toString();
        img.setColor(Color.white);
        img.setFont(new java.awt.Font("Arial", java.awt.Font.PLAIN, 18));
        img.drawString(tmp, 45, 38);
        setImage(img);
    }    
}
